<template>
  <div class="app">
    <vue-headful
            title="HackaMarket | Productos"
             description="Sección con todos los productos de HackaMarket"
        />

    <section>

        <h1>Teteras</h1>
        <h2>de Hack&Market</h2>
      <div class="container">
        <!-- mostramos los productos que vienen de componentes -->
        <listaproductos :productos="productos"/>
      </div>
    </section>

  </div>
</template>

<script>
import axios from 'axios';  // importamos axios
import listaproductos from '@/components/ProductosCustom.vue'; // importamos el componente
import Swal from 'sweetalert2'; // importamos librería sweetalert2 para los modales

export default {
  name: 'Productos',
//INICIO COMPONENTS
  components: {
    // agregamos el componente que lo definimos finalmente en el template
    listaproductos
  },
//FIN COMPONENTS
//INICIO DATA
  data(){
    return{
      productos:[] // aquí guardamos los productos que vengan de la BBDD
    }
  },
//FIN DATA
//INICIO METHODS
  methods:{
        
    // FUNCIÓN PARA CONSEGUIR MIS PRODUCTOS
    getProducts(){
      var self = this;
      // LLAMADA DE AXIOS A LA API
      axios.get('http://localhost:3050/productos')
      .then( function(response) {
        //Guardamos la respuesta de la API en el array productos
        self.productos = response.data
      })
      .catch( function (error) {
        console.log(error)
      })
    }
    // FIN CONSEGUIR LISTA PRODUCTOS
  },
  created() {
    this.getProducts()
  }
//FIN METHODS
}
</script>
<style scoped>
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
.container {
  padding-top: var(--spacer50px);
  display: flex;
  width: 100%;
  /* height: var(--size100vh);; */
  padding: 0.5rem;
}
.home {
  background-color: whitesmoke;
}
 h1 {
   padding-top: var(--spacer100px);
   margin-bottom: -20px;
   font-size: var(--size100px)
  }
  h2 {
    margin-top: 0px;
  }
  .app {
  display: flex;
  flex-direction: column;
  min-height: calc( var(--size100vh) - 350px);
  background-color: var(--bg-whitesmoke);
}

@media only screen and (max-width: 425px){
        
      h1 {
        padding-top: var(--spacer200px);
      }
    }
</style>